PDA

View Full Version : Incredimail



Bass
10-03-2004, 10:17 PM
On computer running Windows 95 attempts to download new version of Incredimail failed and now original version does not work. Maybe Incredimail now needs more than 95.
Is there a site where earlier version of Incredimail could be accessed ?

tweak\'e
10-03-2004, 10:33 PM
Minimum requirements:
PC running one of Windows operating systems: 98/ME/NT/2000/XP.
MS Internet Explorer 5.0 or higher.


personally i would ditch it (have a search for the incredimail horror stories people have posted here) and install a decent email program eg Eudora, Pegasus etc.

Pheonix
10-03-2004, 11:21 PM
This place lists a version that is compatable with Win95 here (http://www.zdnetindia.com/downloads/info/8145731.html)

Bass
11-03-2004, 09:08 PM
Phoenix. Thanks for your info.